spring:
  rabbitmq:
    host: 197.68.24.40
    port: 5672
    virtual-host: cloud
    username: cctp
    password: northking

nk:
  mobile-computer:
    password: 123456
    keepScreenOn: true #是否点亮屏幕，如果true，启动agent时不会关闭手机屏幕，false则会关闭手机屏幕s
    autoEnvironment: true
    stfPath: /home/northking/soft/cctp-mobile-new
    appium:
      path: /home/northking/soft/appium
      port: 4723
    serverAddr: http://197.68.24.38:8000/api/
    ctrlRegisterAddr: cctp-device-mgr/pub/ctrls/register
    mobilePushAddr: cctp-device-mgr/pub/device/register/mobile
    mobileOfflineAddr: cctp-device-mgr/pub/device/off-line/{uuid}
    mobileInfoAddr: cctp-device-mgr/pub/device/lock/{uuid}
    appDownloadAddr: atu-script-case/pub/file/downloadApp/{appId}
    fileUploadAddr: cctp-files/v1/upload
    publicUploadAddr: cctp-files/pub/upload
    publicDownloadFile: cctp-files/pub/download/{appUrl}
    publicFindAppInfo: atu-script-case/pub/apps/getAppDetail
    ctrlUpLimit: 32
  http-request-path:
    useNewOcr: true
    ocrServer: http://197.68.31.137:5000 #ocr所在ip
    ocrFindArea: ${nk.http-request-path.ocr-server}/WebAPI/FindTextCoordinateByOcr   #ocr查找文本位置
    imgFindArea: http://197.68.24.38:5000/WebAPI/findImageInImage   #图片查找位置
    ocrGetText: ${nk.http-request-path.ocr-server}/WebAPI/GetTextByOcr   #图片查找位置
    ocrGetTextDirectionText: http://197.68.24.38:5000/direction_v2 #oct识别指定文字指定方向的内容
    #ocr-get-verification-code: ${nk.http-request-path.ocr-server}/WebAPI/VerificationCode   #获取验证码
    ocrGetVerificationCode: http://197.68.24.38:5000/yzm_v2  #新版ocr获取验证码
    ocrGetAllTextNum: http://197.68.24.38:5000/rpa_v2 #新版ocr获取金额
    getSafeKeyBoardNum: http://197.68.24.38:5000/keyboard_v2 #新版ocr获取安全键盘
    matchingThreshold: 0.5 #图像识别阈值
    ocrGetTableColValue: http://197.68.24.38:5000/table_v2 #ocr获取表格列内容
    ocrGetMoneyValue: http://197.68.24.38:5000/rpa_amount_v2 #ocr获取金额
macos:
  build-wda:
    build-wda: true
    xcode-username: mac02
    key-chain-password: 123456

    wda-project-path: /Users/mac02/northking/WebDriverAgent
    xcode14-path: /Applications/Xcode14/Xcode.app
    xcode15-path: /Applications/Xcodes.app
    wda-for-ios17-below-package-path: /Users/mac02/Document/package
    wda-for-ios17-above-package-path: /Users/mac02/Document/package
    wda-for-ios17-below-package-default-path: /Users/mac02/northking/macos-uppercomputer/wda15/Build/Products/WebDriverAgentRunner_iphoneos17.2-arm64.xctestrun
    wda-for-ios17-above-package-default-path: /Users/mac02/northking/ios17/Build/Products/WebDriverAgentRunner_iphoneos17.2-arm64.xctestrun
    print-wda-output: true
logging:
  level:
    net.northking: debug